Core - Bug # 67300

Status: Resolved Priority: Should have
Author: Morton Jonuschat Category: DBAL
Created: 2015-06-05 Assigned To: Morton Jonuschat
Updated: 2015-06-19 Due date:
TYPO3 Version: 7
PHP Version: 5.6
Complexity:
Is Regression: No
Sprint Focus:
Subject: dbal admin_get_tables() returns additional DBMS specific info for DEFAULT
Description
MySQL:

default "

DBAL (PostgreSQL):

default \'\"::character varying'

This is wrong in two ways:

1) The correct value to show would be default "::character varying
2) The ::character varying part is PostgreSQL specific/internal

Related issues:
related to Core - Epic # 64459: Make TYPOS run on PostgreSQL

related to Core - Bug # 67329: auto_increment extra missing from admin_get_fi...

New
Resolved

2015-01-23
2015-06-06

Associated revisions

Revision 7876d5ff - 2015-06-19 13:15 - Morton Jonuschat

[TASK] dbal: convert DBMS specific key/default/extra values to MySQL SQL

Allow DBMS specific transformations of field information to MySQL SQL
dialect. Provide the database compare in the install tool with more
details about the current database schema to avoid changes that can not
be implemented due to syntax differences.

Resolves: #67300

Resolves: #67329

Releases: master

Change-Id: 1d415ba6246963fd0da97b5825fbe4fc9ac95964 1
Reviewed-on: http://review.typo3.org/40156

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>
History

#1 - 2015-06-05 12:42 - Morton Jonuschat
- Assigned To set to Morton Jonuschat

#2 - 2015-06-10 21:34 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40156

#3 - 2015-06-11 16:58 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40156

#4 - 2015-06-14 21:55 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/40156

#5 - 2015-06-19 12:08 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40156

#6 - 2015-06-19 12:09 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40156

#7 - 2015-06-19 13:00 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/40156

#8 - 2015-06-19 13:02 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40156

#9 - 2015-06-19 13:30 - Morton Jonuschat
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:7876d5ff97c5ecee8c00ad97a075a377245ae209.
